#install.packages()
require(graphics); require(grDevices);

#data_fn = paste(species_id, "_out/r_subset/", drug_name, ".txt", sep = "")
dataset = "../camber-pred/datasets/broad_mtb"
drug_name = "Pyrazinamide"
drug_name = "Rifampicin"
drug_name = "Ethambutol"
drug_name = "Isoniazid"
drug_name = "Ofloxacin"

data_fn = paste(dataset, "/ranks_bin_genes/FINAL7_S.txt", sep="")
data = read.table(data_fn, header=TRUE, sep="\t")
data_drug = data[data[,"drug_name"] == drug_name,]

data_drug_a = data_drug[data_drug[,"high"] == "Y" | data_drug[,"all"] == "Y",]
data_drug_h = data_drug[data_drug[,"high"] == "Y",]

data_all = data
data_all[,"wsupport"] = data_all[,"wsupport"]*5
data_all[,"tscore"] = data_all[,"tscore"]*5
data_all[,"odds_ratio"] = data_all[,"odds_ratio"]*5
data_all[,"mi"] = data_all[,"mi"]*5
data_all[,"ranks_sum_score"] = data_all[,"ranks_sum_score"]*5
data_all_a = data_all[data_all[,"high"] == "Y" | data_all[,"all"] == "Y",]
data_all_h = data_all[data_all[,"high"] == "Y",]

data_drug_sel = data_all

score_name = "tscore"
ranks_sel = sort(data_drug_sel[, score_name])
max_rank = max(ranks_sel)
n = length(ranks_sel)
prec = c()
recall = c()

tp = 0
for (i in 1:n) {
	rank = ranks_sel[i]
	tp = tp + 1
	fp = round(rank) - tp
	prec = c(prec, tp / round(rank))
	recall = c(recall, tp / n)
	print(tp / n)	
}

x11()
plot(prec~recall, col= "red", pch=17, xlim=c(0.0,1.0), ylim=c(0.0, 1.0))
abline(h=n/max_rank)

score_name = "wsupport"
ranks_sel = sort(data_drug_sel[, score_name])
n = length(ranks_sel)
prec = c()
recall = c()

tp = 0
for (i in 1:n) {
	rank = ranks_sel[i]
	tp = tp + 1
	fp = round(rank) - tp
	prec = c(prec, tp / round(rank))
	recall = c(recall, tp / n)
	print(tp / n)	
}
points(prec~recall, col= "blue", pch=18, xlim=c(0.0,1.0), ylim=c(0.0, 1.0))

score_name = "odds_ratio"
ranks_sel = sort(data_drug_sel[, score_name])
prec = c()
recall = c()

tp = 0
for (i in 1:n) {
	rank = ranks_sel[i]
	tp = tp + 1
	fp = round(rank) - tp
	prec = c(prec, tp / round(rank))
	recall = c(recall, tp / n)
	print(tp / n)	
}
points(prec~recall, col= "green", pch=19, xlim=c(0.0,1.0), ylim=c(0.0, 1.0))

score_name = "mi"
ranks_sel = sort(data_drug_sel[, score_name])
prec = c()
recall = c()

tp = 0
for (i in 1:n) {
	rank = ranks_sel[i]
	tp = tp + 1
	fp = round(rank) - tp
	prec = c(prec, tp / round(rank))
	recall = c(recall, tp / n)
	print(tp / n)	
}
points(prec~recall, col= "black", pch=20, xlim=c(0.0,1.0), ylim=c(0.0, 1.0))

score_name = "ranks_sum_score"
ranks_sel = sort(data_drug_sel[, score_name])
prec = c()
recall = c()

tp = 0
for (i in 1:n) {
	rank = ranks_sel[i]
	tp = tp + 1
	fp = round(rank) - tp
	prec = c(prec, tp / round(rank))
	recall = c(recall, tp / n)
	print(tp / n)	
}
points(prec~recall, col= "orange", pch=15, xlim=c(0.0,1.0), ylim=c(0.0, 1.0))

#i2, u2, l2, r2 = compareSets(set(golden_genes), set(patric_ecamber_annotation.multigenes)) 
#if i1+r1 > 0: prec_b = float(i1)/float(i1+r1)
#else: prec_b = 0
#if i1+l1 > 0: rec_b = float(i1)/float(i1+l1)
#else: rec_b = 0

