#install.packages()
require(graphics); require(grDevices);

#data_fn = paste(species_id, "_out/r_subset/", drug_name, ".txt", sep = "")
dataset = "datasets/broad_mtb"
data_fn = paste(dataset, "/ranks_bin_genes/FINAL7_P.txt", sep="")
data = read.table(data_fn, header=TRUE, sep="\t")

#data = data[data[,"drug_name"] %in% c("Isoniazid", "Rifampicin", "Pyrazinamide", "Ethionamide", "Streptomycin"),]
#data = data[data[,"drug_name"] %in% c("Rifampicin", "Pyrazinamide"),]

data_a = data[data[,"high"] == "Y" | data[,"all"] == "Y",]
data_h = data[data[,"high"] == "Y",]

#summary(data[,c("tscore", "mi","odds_ratio", "wsupport", "ranks_sum_score")])
#summary(data_a[,c("tscore", "mi","odds_ratio", "wsupport", "ranks_sum_score")])
#summary(data_h[,c("tscore", "mi","odds_ratio", "wsupport", "ranks_sum_score")])

cutoff = 30

data_a_acc = (data_a[,"tscore"] < cutoff) + (data_a[,"mi"] < cutoff) + (data_a[,"odds_ratio"] < cutoff) + (data_a[,"wsupport"] < cutoff)
data_a_top = data_a[data_a_acc >= 4,]


data_h_acc = (data_h[,"tscore"] < cutoff) + (data_h[,"mi"] < cutoff) + (data_h[,"odds_ratio"] < cutoff) + (data_h[,"wsupport"] < cutoff)
data_h_top = data_h[data_h_acc >= 4,]

summary(data_a_top[,c("tscore", "mi","odds_ratio", "wsupport", "tmow", "tmo", "to", "tow")])
summary(data_h_top[,c("tscore", "mi","odds_ratio", "wsupport", "tmow", "tmo", "to", "tow")])

print(length(data_a_top[,"tscore"]))
print(length(data_h_top[,"tscore"]))
