#install.packages("corrgram")
require(graphics); require(grDevices); require(corrgram)

#data_fn = paste(species_id, "_out/r_subset/", drug_name, ".txt", sep = "")
dataset = "../camber-pred/datasets/broad_mtb"
#drug_name="Rifampicin"
#drug_name="Pyrazinamide"
drug_name="Isoniazid"
data_fn = paste(dataset, "/det_bin_comb_ranks/",drug_name,"/FINAL7_S.txt", sep="")
#data_fn = paste(dataset, "/det_bin_comb/",drug_name,"/FINAL7_S.txt", sep="")
data = read.table(data_fn, header=TRUE, sep="\t")

x11()
#corrgram(data[,c("odds_ratio", "mi", "wsupport", "tscore")], order=TRUE, lower.panel=panel.shade, 
		#upper.panel=NULL, text.panel=panel.txt, 
		#main="Drug resistance core rankings correlations", cex=1.5)

corrgram(data[,c("odds_ratio", "mi", "wsupport", "tscore", "ranks_sum_score")], order=TRUE, lower.panel=panel.shade, 
		upper.panel=NULL, text.panel=panel.txt, 
		main="Drug resistance core rankings correlations", cex=1.5)

