#install.packages()
require(graphics); require(grDevices); require(corrgram); require(corrplot)

#data_fn = paste(species_id, "_out/r_subset/", drug_name, ".txt", sep = "")
drug_name = "Isoniazid"
dataset = "broad_mtb"
data_fn = paste(dataset, "/det_bin_corr/",drug_name,"_FINAL7_S.txt", sep="")
data = read.table(data_fn, header=TRUE, sep="\t")

cor(data[1:10,c(2,4,5,6,7,8)], method="kendall") 

x11()
plot(data[1:1000,c(2,4,5,6,7,8)])


par(mar=c(12,8,1,1), oma=c(0,0,1,1), mgp=c(5,1,0))
data_mat = t(as.matrix(data[,c(12,15)]))
data_mat1 = t(as.matrix(data[,c(12)]))
data_mat2 = t(as.matrix(data[,c(15)]))
colnames(data_mat) <- data[,1]

barplot(data_mat, col=c("green", "red"), beside=TRUE, xaxt="n", cex=2, ylim = c(0,1.0), cex.lab=2.5, cex.axis=1.5, cex.main=2.5, cex.sub=2.5, las=2, xlab="", ylab="F1 measure of accuracy")
axis(1, at=3*1:20-1, labels=data[,1], las=2, cex.axis=1.5, cex.lab=2.5, cex.sub=2.5, cex=2.5)
legend(34, 1.05, c("PATRIC annotations", "PATRIC annotations after eCAMBer"), cex=1.8,  bty="n", fill=c("green", "red"));
#barplot(data_mat2, col=c("green"), beside=TRUE)
#
#data_mat2 = t(as.matrix(data[,c(6,9,8)]))
#colnames(data_mat2) <- data[,1]
#
#barplot(data_mat2, col=c("red", "green", "blue"))



#barplot(data_mat, col=c("red", "brown", "green", "blue", "orange"),main=paste("Method: ", m, sep = " "))
#legend("topleft", c("TP", "TN", "FP", "FN", "NO"), cex=0.6,  bty="n", fill=c("red", "brown", "green", "blue", "orange"));
